Next: Guile Types Module, Up: Guile Modules

##### 23.4.5.1 Guile Printing Module

This module provides a collection of utilities for working with pretty-printers.

Usage:

         (use-modules (gdb printing))

— Scheme Procedure: prepend-pretty-printer! object printer

> Add printer to the front of the list of pretty-printers for object. The object must either be a `<gdb:objfile>` object, or `#f` in which case printer is added to the global list of printers.

— Scheme Procecure: append-pretty-printer! object printer

> Add printer to the end of the list of pretty-printers for object. The object must either be a `<gdb:objfile>` object, or `#f` in which case printer is added to the global list of printers.